# EntryFee (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.tourney.data
Class EntryFee

    java.lang.Object
      com.threerings.io.SimpleStreamableObject
          com.threerings.parlor.tourney.data.EntryFee

All Implemented Interfaces:
  com.threerings.io.Streamable

    public abstract class EntryFee

extends com.threerings.io.SimpleStreamableObject

Extensible entry fee class that specifies entry requirements for a tourney.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Constructor Summary
`EntryFee()`

Method Summary
`abstract String` `getDescription()` Returns a description of the entry fee.
`abstract boolean` `hasFee(com.threerings.crowd.data.BodyObject body)` Checks if the user has the required entry fee.
`abstract void` `reserveFee(com.threerings.crowd.data.BodyObject body, ResultListener<Void> listener)` Attempts to reserve the entry fee.
`abstract void` `returnFee(com.threerings.crowd.data.BodyObject body)` Returns the entry fee.

Methods inherited from class com.threerings.io.SimpleStreamableObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntryFee

    public EntryFee()

Method Detail

### getDescription

    public abstract String getDescription()

  Returns a description of the entry fee.

### hasFee

    public abstract boolean hasFee(com.threerings.crowd.data.BodyObject body)

  Checks if the user has the required entry fee.

### reserveFee

    public abstract void reserveFee(com.threerings.crowd.data.BodyObject body,
                                    ResultListener<Void> listener)

  Attempts to reserve the entry fee.

### returnFee

    public abstract void returnFee(com.threerings.crowd.data.BodyObject body)

  Returns the entry fee.

Copyright © 2011. All Rights Reserved.